<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::error::Result&lt; TStatus, TValue &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1error.html">error</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::error::Result&lt; TStatus, TValue &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_result_8h_source.html">Result.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a559c7b77e18b452b6c7b45201dbcff43"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a559c7b77e18b452b6c7b45201dbcff43">Result</a> (TStatus <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">status</a>, TValue <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#ac9ae7a2c110f82a57140c50f0e5fb8d1">value</a>)</td></tr>
<tr class="separator:a559c7b77e18b452b6c7b45201dbcff43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda94e664067d9f23462d6afc5342eb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a8dda94e664067d9f23462d6afc5342eb">Result</a> (TStatus <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">status</a>)</td></tr>
<tr class="separator:a8dda94e664067d9f23462d6afc5342eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ec25235aaaa3a4cf5b37bd5ed20b1a4"><td class="memItemLeft" align="right" valign="top">TStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">status</a> ()</td></tr>
<tr class="separator:a0ec25235aaaa3a4cf5b37bd5ed20b1a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9ae7a2c110f82a57140c50f0e5fb8d1"><td class="memItemLeft" align="right" valign="top">TValue &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html#ac9ae7a2c110f82a57140c50f0e5fb8d1">value</a> ()</td></tr>
<tr class="separator:ac9ae7a2c110f82a57140c50f0e5fb8d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename TStatus, typename TValue&gt;<br />
class alexaClientSDK::avsCommon::utils::error::Result&lt; TStatus, TValue &gt;</h3>

<p class="">Class representing result of an operation. The result has a status and a value.</p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">TStatus</td><td>Type of the status </td></tr>
    <tr><td class="paramname">TValue</td><td>Type of the value </td></tr>
  </table>
  </dd>
</dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a559c7b77e18b452b6c7b45201dbcff43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a559c7b77e18b452b6c7b45201dbcff43">&#9670;&nbsp;</a></span>Result() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename TStatus, typename TValue&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">alexaClientSDK::avsCommon::utils::error::Result</a>&lt; TStatus, TValue &gt;::<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result</a> </td>
          <td>(</td>
          <td class="paramtype">TStatus&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">TValue&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor with both status and return value provided.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>Status of the operation. </td></tr>
    <tr><td class="paramname">value</td><td>Value associated with the result. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8dda94e664067d9f23462d6afc5342eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dda94e664067d9f23462d6afc5342eb">&#9670;&nbsp;</a></span>Result() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename TStatus, typename TValue&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">alexaClientSDK::avsCommon::utils::error::Result</a>&lt; TStatus, TValue &gt;::<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result</a> </td>
          <td>(</td>
          <td class="paramtype">TStatus&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor with only status provided</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result</a> status. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0ec25235aaaa3a4cf5b37bd5ed20b1a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ec25235aaaa3a4cf5b37bd5ed20b1a4">&#9670;&nbsp;</a></span>status()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename TStatus , typename TValue &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TStatus <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">alexaClientSDK::avsCommon::utils::error::Result</a>&lt; TStatus, TValue &gt;::status </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns result status.</p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">Result</a> status. </dd></dl>

</div>
</div>
<a id="ac9ae7a2c110f82a57140c50f0e5fb8d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9ae7a2c110f82a57140c50f0e5fb8d1">&#9670;&nbsp;</a></span>value()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename TStatus , typename TValue &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">TValue &amp; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1error_1_1_result.html">alexaClientSDK::avsCommon::utils::error::Result</a>&lt; TStatus, TValue &gt;::value </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns a value associated with the result.</p>
<dl class="section return"><dt>Returns</dt><dd>Value associated with the result. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Error/<a class="el" href="_result_8h_source.html">Result.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
